org.wildfly.swarm.config.elytron

## Class ConfigurableHTTPServerMechanismFactory<T extends ConfigurableHTTPServerMechanismFactory<T>>

- java.lang.Object
- - org.wildfly.swarm.config.elytron.ConfigurableHTTPServerMechanismFactory<T>

-     public class ConfigurableHTTPServerMechanismFactory<T extends ConfigurableHTTPServerMechanismFactory<T>>
      extends Object

  A HTTP server factory definition that wraps another HTTP server factory and applies the specified configuration and filtering.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConfigurableHTTPServerMechanismFactory(String key)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `T` | `availableMechanism(String value)` The HTTP mechanisms available from this factory instance.
    `List<String>` | `availableMechanisms()` The HTTP mechanisms available from this factory instance.
    `T` | `availableMechanisms(List<String> value)` The HTTP mechanisms available from this factory instance.
    `T` | `availableMechanisms(String... args)` The HTTP mechanisms available from this factory instance.
    `T` | `filter(Map value)` Filtering to be applied to enable / disable mechanisms based on the name.
    `List<Map>` | `filters()` Filtering to be applied to enable / disable mechanisms based on the name.
    `T` | `filters(List<Map> value)` Filtering to be applied to enable / disable mechanisms based on the name.
    `T` | `filters(Map... args)` Filtering to be applied to enable / disable mechanisms based on the name.
    `String` | `getKey()`
    `String` | `httpServerMechanismFactory()` The http server factory to be wrapped.
    `T` | `httpServerMechanismFactory(String value)` The http server factory to be wrapped.
    `Map` | `properties()` Custom properties to be passed in to the http server factory calls.
    `T` | `properties(Map value)` Custom properties to be passed in to the http server factory calls.
    `T` | `property(String key, Object value)` Custom properties to be passed in to the http server factory calls.
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ConfigurableHTTPServerMechanismFactory

          public ConfigurableHTTPServerMechanismFactory(String key)

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### availableMechanisms

          public List<String> availableMechanisms()

      The HTTP mechanisms available from this factory instance.

    - #### availableMechanisms

          public T availableMechanisms(List<String> value)

      The HTTP mechanisms available from this factory instance.

    - #### availableMechanism

          public T availableMechanism(String value)

      The HTTP mechanisms available from this factory instance.

    - #### availableMechanisms

          public T availableMechanisms(String... args)

      The HTTP mechanisms available from this factory instance.

    - #### filters

          public List<Map> filters()

      Filtering to be applied to enable / disable mechanisms based on the name.

    - #### filters

          public T filters(List<Map> value)

      Filtering to be applied to enable / disable mechanisms based on the name.

    - #### filter

          public T filter(Map value)

      Filtering to be applied to enable / disable mechanisms based on the name.

    - #### filters

          public T filters(Map... args)

      Filtering to be applied to enable / disable mechanisms based on the name.

    - #### httpServerMechanismFactory

          public String httpServerMechanismFactory()

      The http server factory to be wrapped.

    - #### httpServerMechanismFactory

          public T httpServerMechanismFactory(String value)

      The http server factory to be wrapped.

    - #### properties

          public Map properties()

      Custom properties to be passed in to the http server factory calls.

    - #### properties

          public T properties(Map value)

      Custom properties to be passed in to the http server factory calls.

    - #### property

          public T property(String key,
                            Object value)

      Custom properties to be passed in to the http server factory calls.

Copyright © 2018 JBoss by Red Hat. All rights reserved.